Bug 189282 - Beagle command line injection
Beagle command line injection
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-04-18 15:36 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-21 05:45:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Upstream patch (26.97 KB, patch)
2006-04-18 15:47 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2006-04-18 15:36:46 EDT
Beagle command line injection

Chris Evans discovered that while indexing, Beagle will build certain
command lines in an insecure manner.  When Beagle executes external
helper applications, it is possible to cause beagle to execute
arbitrary commands as the user running beagle.
Comment 1 Josh Bressers 2006-04-18 15:47:53 EDT
Created attachment 127943 [details]
Upstream patch

This is the fix upstream has committed to CVS.
Comment 2 Fedora Update System 2006-04-21 10:43:15 EDT
beagle-0.2.5-1.fc5.1 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.